Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.resource
Interface ResourceHeaderFilter

    public interface ResourceHeaderFilter

Implementations of this interface can filter which HTTP headers are passed through the ResourceProxyServlet.

You can specify an implementation of this filter by updating the init-parameter of the servlet `ResourceProxyServlet`. For example,

           <init-param>
                <!-- Specify a header filter -->
                <param-name>resourceHeaderFilter</param-name>
                <param-value>com.somecompany.wsrp.consumer.MyResourceHeaderFilter</param-value>
            </init-param>

Method Summary
`ResourceHeaders` | `getPassThroughHeaders(javax.servlet.http.HttpServletRequest request, javax.servlet.ServletContext context, String url)` Returns a ResourceHeaders object with headers to be proxied, given the HttpServletRequest.

Method Detail

### getPassThroughHeaders

    ResourceHeaders getPassThroughHeaders(javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.ServletContext context,
                                          String url)

  Returns a ResourceHeaders object with headers to be proxied, given the HttpServletRequest.

  Parameters
    `request` - the HttpServletRequest
    `context` - the current ServletContext
    `url` - the target url being requested through the ResourceProxyServlet
  Returns
    com.bea.wsrp.consumer.resource.ResourceHeaders - the Headers to be proxied

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.